# Uses of Class
java.io.StreamCorruptedException

Packages that use StreamCorruptedException
Package
Description
java.io
Provides for system input and output through data streams, serialization and the file system.
java.rmi.server
Provides classes and interfaces for supporting the server side of RMI.

## Uses of StreamCorruptedException in java.io

Methods in java.io that throw StreamCorruptedException
Modifier and Type
Method
Description
`protected void`
ObjectInputStream.`readStreamHeader()`
The readStreamHeader method is provided to allow subclasses to read and verify their own stream headers.

## Uses of StreamCorruptedException in java.rmi.server

Methods in java.rmi.server that throw StreamCorruptedException
Modifier and Type
Method
Description
`ObjectOutput`
RemoteCall.`getResultStream(boolean success)`
Deprecated.
no replacement